<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">

<th:block th:replace="layout/basic :: setContent(~{this::content} )">

	<th:block th:fragment="content">

		<h1>회원 정보 목록</h1>

		<table class="table table-striped">
			<thead>
				<tr>
					<th scope="col">아이디</th>
					<th scope="col">이름</th>
					<th scope="col">등록일</th>
				</tr>
			</thead>
			<tbody>
				<tr th:each="dto : ${list}">					
					<th scope="row">
						<!-- 상세조회 링크 수정 -->
						<a th:href="@{/member/read(id = ${dto.id}, page= ${list.number + 1})}">
							[[${dto.id}]]
						</a>
					</th>
					<td>[[${dto.name}]]</td>
					<td>[[${#temporals.format(dto.regDate, 'yyyy/MM/dd')}]]</td>
				</tr>

			</tbody>
		</table>

		<!-- 페이징 추가 -->
	    <ul class="pagination h-100 justify-content-center align-items-center">

	         <li th:class=" 'page-item ' + ${(list.number + 1) == page?'active':''} " th:each="page: ${#numbers.sequence(1, list.totalPages)}">
                <a class="page-link" th:href="@{/member/list(page = ${page})}">
                    [[${page}]]
                </a>
            </li>
        
        </ul>
		
	</th:block>

</th:block>